RDKit: ForceFields::MMFF::MMFFStbnCollection Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
ForceFields::MMFF::MMFFStbnCollection Class Reference

`#include <Params.h>`

## Public Member Functions
const std::pair< bool, const MMFFStbn * > | getMMFFStbnParams (const unsigned int stretchBendType, const unsigned int bondType1, const unsigned int bondType2, const unsigned int iAtomType, const unsigned int jAtomType, const unsigned int kAtomType) const
| Looks up the parameters for a particular key and returns them.
| MMFFStbnCollection (std::string mmffStbn="")

## Public Attributes
std::vector< MMFFStbn > | d_params
| the parameter vector
std::vector< std::uint8_t > | d_iAtomType
| atom type vector for atom i
std::vector< std::uint8_t > | d_jAtomType
| atom type vector for atom j
std::vector< std::uint8_t > | d_kAtomType
| atom type vector for atom k
std::vector< std::uint8_t > | d_stretchBendType
| stretch-bend type vector for angle i-j-k

## Detailed Description

Definition at line 601 of file MMFF/Params.h.

## Constructor & Destructor Documentation

## ◆ MMFFStbnCollection()

ForceFields::MMFF::MMFFStbnCollection::MMFFStbnCollection | ( | std::string | mmffStbn = "" | ) |

References d_params.

## Member Function Documentation

## ◆ getMMFFStbnParams()

const std::pair< bool, const MMFFStbn * > ForceFields::MMFF::MMFFStbnCollection::getMMFFStbnParams | ( | const unsigned int | stretchBendType,
|  | const unsigned int | bondType1,
|  | const unsigned int | bondType2,
|  | const unsigned int | iAtomType,
|  | const unsigned int | jAtomType,
|  | const unsigned int | kAtomType ) const
| inline

Looks up the parameters for a particular key and returns them.

Returns
  a pointer to the MMFFStbn object, NULL on failure.

Definition at line 607 of file MMFF/Params.h.

References d_iAtomType, d_jAtomType, d_kAtomType, d_params, and d_stretchBendType.

## Member Data Documentation

## ◆ d_iAtomType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFStbnCollection::d_iAtomType

atom type vector for atom i

Definition at line 676 of file MMFF/Params.h.

Referenced by getMMFFStbnParams().

## ◆ d_jAtomType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFStbnCollection::d_jAtomType

atom type vector for atom j

Definition at line 677 of file MMFF/Params.h.

Referenced by getMMFFStbnParams().

## ◆ d_kAtomType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFStbnCollection::d_kAtomType

atom type vector for atom k

Definition at line 678 of file MMFF/Params.h.

Referenced by getMMFFStbnParams().

## ◆ d_params

std::vector<MMFFStbn> ForceFields::MMFF::MMFFStbnCollection::d_params

the parameter vector

Definition at line 675 of file MMFF/Params.h.

Referenced by getMMFFStbnParams(), and MMFFStbnCollection().

## ◆ d_stretchBendType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFStbnCollection::d_stretchBendType

stretch-bend type vector for angle i-j-k

Definition at line 680 of file MMFF/Params.h.

Referenced by getMMFFStbnParams().

The documentation for this class was generated from the following file:

- MMFF/Params.h